CapsuleProcessAddUserRequest
Creates a Linux user in a running capsule.
Kind: an object, used in requests.
Fields
Section titled “Fields”| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | The user name: lowercase letters, digits, _ and -, starting with a letter or _, at most 32 characters, and not root. Constraints: required (empty or whitespace-only strings are rejected). |
sudoAsUsers | string[] | Other users of the capsule this user may run commands as, with sudo. |
Example
Section titled “Example”{ "username": "...", "sudoAsUsers": [ "..." ]}Where it’s used
Section titled “Where it’s used”capsuleRuns.addUser(POST /capsule-processes/by-id/{id}/users)